﻿

@{
    APIFestival.Models.Festivalier festivalier = (APIFestival.Models.Festivalier)ViewData["FestConnecte"];
    

    //ViewData["Title"] = "MesAmis";
    ViewData["Title"] = "Mes Amis";
}

<h1>MesAmis</h1>
<div class="row">
    <a data-toggle="collapse"  class="col-md-3">
        Listes des amis !
    </a>
    <p>
        @foreach (RelationAmicale relation in ViewData["ListeValider"] as List<RelationAmicale>)
        {
            @if (relation.IdFestivalier == festivalier.Id)
            {
                @foreach (Festivalier fest in ViewData["ListeFestivalier"] as List<Festivalier>)
                {
                    @if (fest.Id == relation.IdAmi)
                    {
                        @fest.Nom <br />
                    }
                }
            }
        }

        @foreach (RelationAmicale relation in ViewData["ListeValider"] as List<RelationAmicale>)
        {
            @if (relation.IdAmi == festivalier.Id)
            {
                @foreach (Festivalier fest in ViewData["ListeFestivalier"] as List<Festivalier>)
                {
                    @if (fest.Id == relation.IdFestivalier)
                    {
                        @fest.Nom <br />
                    }
                }
            }
        }



    </p>

</div>

<div class="row">
    <a data-toggle="collapse" class="col-md-3">
          En attente !
        
    </a>
    
    <p>
        @foreach (RelationAmicale relation in ViewData["ListeAttente"] as List<RelationAmicale>)
        {
            @if (relation.IdAmi == festivalier.Id)
            {
                @foreach (Festivalier fest in ViewData["ListeFestivalier"] as List<Festivalier>)
                {
                    @if (fest.Id == relation.IdFestivalier)
                    {
                          <br /> @fest.Nom
                        <a asp-controller="EspaceFestivalier" asp-action="ValiderAmi" asp-route-id="@relation.Id" class="btn btn-outline-primary">Valider </a>

                        <a asp-controller="EspaceFestivalier" asp-action="RefuserAmi" asp-route-id="@relation.Id" class="btn btn-outline-danger">Refuser</a>
                        <br />
                    }


                }
            }
        }
    </p>
</div>
<div>
    <p>
        
    </p>

</div>


